ompi/mca/pml/base/pml_base_recvreq.h File Reference.TH "ompi/mca/pml/base/pml_base_recvreq.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/base/pml_base_recvreq.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'mca/pml/base/pml_base_request.h'\fP
.br
\fC#include 'datatype/convertor.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_BASE_RECV_REQUEST_INIT\fP(request,addr,count,datatype,src,tag,comm,persistent)"
.br
.RI "\fIInitialize a receive request with call parameters. \fP"
.ti -1c
.RI "#define \fBMCA_PML_BASE_RECV_REQUEST_FINI\fP(request)"
.br
.RI "\fIReturn a receive request. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_base_recv_request_t\fP \fBmca_pml_base_recv_request_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBmca_pml_base_recv_request_t\fP)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_BASE_RECV_REQUEST_FINI(request)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                       \
        OMPI_REQUEST_FINI(&(request)->req_base.req_ompi);      \
        OBJ_RELEASE( (request)->req_base.req_comm);            \
        OBJ_RELEASE( (request)->req_base.req_datatype );       \
        ompi_convertor_cleanup( &((request)->req_convertor) ); \
    } while (0)
.fi
Return a receive request. 
.PP
Handle the release of the communicator and the attached datatype.
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Receive request. 
.RE
.PP

.SS "#define MCA_PML_BASE_RECV_REQUEST_INIT(request, addr, count, datatype, src, tag, comm, persistent)"
.PP
\fBValue:\fP
.PP
.nf
{                                                                        \
    /* increment reference count on communicator */                      \
    OBJ_RETAIN(comm);                                                    \
    OBJ_RETAIN(datatype);                                                \
                                                                         \
    OMPI_REQUEST_INIT(&(request)->req_base.req_ompi);                    \
    (request)->req_bytes_packed = 0;                                     \
    (request)->req_base.req_sequence = 0;                                \
    (request)->req_base.req_addr = addr;                                 \
    (request)->req_base.req_count = count;                               \
    (request)->req_base.req_datatype = datatype;                         \
    (request)->req_base.req_peer = src;                                  \
    (request)->req_base.req_tag = tag;                                   \
    (request)->req_base.req_comm = comm;                                 \
    (request)->req_base.req_proc = NULL;                                 \
    (request)->req_base.req_persistent = persistent;                     \
    (request)->req_base.req_pml_complete = (persistent ? true : false);  \
    (request)->req_base.req_free_called = false;                         \
}
.fi
Initialize a receive request with call parameters. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Receive request. 
.br
\fIaddr\fP (IN) User buffer. 
.br
\fIcount\fP (IN) Number of elements of indicated datatype. 
.br
\fIdatatype\fP (IN) User defined datatype. 
.br
\fIsrc\fP (IN) Source rank w/in the communicator. 
.br
\fItag\fP (IN) User defined tag. 
.br
\fIcomm\fP (IN) Communicator. 
.br
\fIpersistent\fP (IN) Is this a ersistent request. 
.RE
.PP

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
